<?php

declare(strict_types=1);

namespace Flowaxy\Domain\User\Queries;

// Запит для отримання списку користувачів
class ListUsersQuery
{
    public function __construct(
        public readonly ?int $roleId = null,
        public readonly int $limit = 10,
        public readonly int $offset = 0,
    ) {
    }
}
